/*
 * Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */


package samples.webservices.security.ejb.basicAuth;

import javax.xml.rpc.Service;
import javax.xml.rpc.Stub;
import javax.naming.*;
import samples.webservices.security.ejb.basicAuth.ejb.HelloIF;

public class HelloClient {
  public static void main(String[] args) {
    try {
      InitialContext ctx = new InitialContext();
      Service svc = (Service)ctx.lookup("java:comp/env/service/HelloWorld");

     
      HelloIF helloPort = (HelloIF)svc.getPort(samples.webservices.security.ejb.basicAuth.ejb.HelloIF.class);

      Stub helloStub = (javax.xml.rpc.Stub) helloPort;  
      if(args.length ==2) { 
       helloStub._setProperty("javax.xml.rpc.security.auth.username", args[0]);
       helloStub._setProperty("javax.xml.rpc.security.auth.password", args[1]);
      }

      System.out.println(helloPort.sayHello("Duke!"));
    } catch (Exception ex) {
      ex.printStackTrace();
    }
  }    
}
